Issues

ZF-11425: Zend_Application should support YAML files with .yml file extension

Issue Type: Bug Created: 2011-05-31T22:01:47.000+0000 Last Updated: 2011-09-09T21:46:54.000+0000 Status: Resolved Fix version(s): - 1.11.7 (02/Jun/11)

  • Next Major Release ()

Reporter: Dan Berman (panckreous) Assignee: Adam Lundrigan (adamlundrigan) Tags: - Zend_Application

Related issues: Attachments:

Description

Zend_Application::_loadConfig detects content type based on extension. It looks for .yaml, but needs to also look for .yml, a common YAML extension.

current:

case 'yaml': $config = new Zend_Config_Yaml($file, $environment); break;

fix:

case 'yaml': case 'yml': $config = new Zend_Config_Yaml($file, $environment); break;

Comments

Posted by Adam Lundrigan (adamlundrigan) on 2011-06-01T02:21:27.000+0000

Fixed in trunk r24100 Merged to release-1.11 r24101

Posted by Ramon Henrique Ornelas (ramon) on 2011-09-09T21:46:54.000+0000

Fixed in ZF2 with GH-410

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts